Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageBlockWriter Class Reference

`#include <vtkImageBlockWriter.h>`

Inheritance diagram for vtkImageBlockWriter:

[legend]
Collaboration diagram for vtkImageBlockWriter:

[legend]
List of all members.

## Detailed Description

Breaks up image into blocks and save in files.

Date:
  2002/05/17 01:50:34

Revision:
  1.16

Experimenting with different file formats. This one saves an image in multiple files. I am allowing overlap between file for efficiency.

See also:
  vtkImageBlockReader.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (84%)
  - Schroeder, Will (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkImageBlockWriter.cxx)`
  - .`h` (`/Parallel/vtkImageBlockWriter.h)`

Definition at line 47 of file vtkImageBlockWriter.h.

## Public Types
typedef vtkProcessObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Write ()
virtual void | SetDivisions (int, int, int)
virtual void | SetDivisions (int[3])
virtual int * | GetDivisions ()
virtual void | GetDivisions (int &, int &, int &)
virtual void | GetDivisions (int[3])
virtual void | SetOverlap (int)
virtual int | GetOverlap ()
void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
virtual void | SetFilePattern (const char *)
virtual char * | GetFilePattern ()
## Static Public Methods
vtkImageBlockWriter * | New ()
int | IsTypeOf (const char *type)
vtkImageBlockWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageBlockWriter ()
| ~vtkImageBlockWriter ()
## Protected Attributes
char * | FilePattern
int | Divisions [3]
int | Overlap

## Member Typedef Documentation

typedef vtkProcessObject vtkImageBlockWriter::Superclass

| Reimplemented from vtkProcessObject. Definition at line 51 of file vtkImageBlockWriter.h.

## Constructor & Destructor Documentation

vtkImageBlockWriter::vtkImageBlockWriter | ( |  | ) | `[protected]`

vtkImageBlockWriter::~vtkImageBlockWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageBlockWriter* vtkImageBlockWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageBlockWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProcessObject.

int vtkImageBlockWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject.

virtual int vtkImageBlockWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject.

vtkImageBlockWriter* vtkImageBlockWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProcessObject.

void vtkImageBlockWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProcessObject.

virtual void vtkImageBlockWriter::SetDivisions | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| The whole extent is broken up into this many divisions along each axis.

virtual void vtkImageBlockWriter::SetDivisions | ( | int | [3] | ) | `[virtual]`

| The whole extent is broken up into this many divisions along each axis.

virtual int* vtkImageBlockWriter::GetDivisions | ( |  | ) | `[virtual]`

| The whole extent is broken up into this many divisions along each axis.

virtual void vtkImageBlockWriter::GetDivisions | ( | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| The whole extent is broken up into this many divisions along each axis.

virtual void vtkImageBlockWriter::GetDivisions | ( | int | [3] | ) | `[virtual]`

| The whole extent is broken up into this many divisions along each axis.

virtual void vtkImageBlockWriter::SetOverlap | ( | int |  | ) | `[virtual]`

| The number of points along any axis that belong to more than one piece.

virtual int vtkImageBlockWriter::GetOverlap | ( |  | ) | `[virtual]`

| The number of points along any axis that belong to more than one piece.

void vtkImageBlockWriter::SetInput | ( | vtkImageData * | input | ) |

| This writer takes images as input.

vtkImageData* vtkImageBlockWriter::GetInput | ( |  | ) |

| This writer takes images as input.

virtual void vtkImageBlockWriter::SetFilePattern | ( | const char * |  | ) | `[virtual]`

| This printf pattern should take three integers, one for each axis.

virtual char* vtkImageBlockWriter::GetFilePattern | ( |  | ) | `[virtual]`

| This printf pattern should take three integers, one for each axis.

void vtkImageBlockWriter::Write | ( |  | ) |

| Write the files.

## Member Data Documentation

char* vtkImageBlockWriter::FilePattern`[protected]`

| Definition at line 88 of file vtkImageBlockWriter.h.

int vtkImageBlockWriter::Divisions[3]`[protected]`

| Definition at line 90 of file vtkImageBlockWriter.h.

int vtkImageBlockWriter::Overlap`[protected]`

| Definition at line 91 of file vtkImageBlockWriter.h.

The documentation for this class was generated from the following file:

- Parallel/vtkImageBlockWriter.h